edb_top edb_top_inst (
    .bscan_CAPTURE      ( jtag_inst1_CAPTURE ),
    .bscan_DRCK         ( jtag_inst1_DRCK ),
    .bscan_RESET        ( jtag_inst1_RESET ),
    .bscan_RUNTEST      ( jtag_inst1_RUNTEST ),
    .bscan_SEL          ( jtag_inst1_SEL ),
    .bscan_SHIFT        ( jtag_inst1_SHIFT ),
    .bscan_TCK          ( jtag_inst1_TCK ),
    .bscan_TDI          ( jtag_inst1_TDI ),
    .bscan_TMS          ( jtag_inst1_TMS ),
    .bscan_UPDATE       ( jtag_inst1_UPDATE ),
    .bscan_TDO          ( jtag_inst1_TDO ),
    .LVDS_TX_clk            ( $INSERT_YOUR_CLOCK_NAME ),
    .LVDS_TX_lvds_tx_data1      ( LVDS_TX_lvds_tx_data1 ),
    .LVDS_TX_lvds_tx_data2      ( LVDS_TX_lvds_tx_data2 ),
    .LVDS_TX_lvds_tx_data3      ( LVDS_TX_lvds_tx_data3 ),
    .LVDS_TX_lvds_tx_data4      ( LVDS_TX_lvds_tx_data4 ),
    .LVDS_TX_lvds_tx_data5      ( LVDS_TX_lvds_tx_data5 ),
    .LVDS_TX_lvds_tx_data6      ( LVDS_TX_lvds_tx_data6 ),
    .LVDS_TX_lvds_tx_data7      ( LVDS_TX_lvds_tx_data7 ),
    .LVDS_TX_lvds_tx_data8      ( LVDS_TX_lvds_tx_data8 ),
    .LVDS_RX_clk            ( $INSERT_YOUR_CLOCK_NAME ),
    .LVDS_RX_lvds_rx_data1      ( LVDS_RX_lvds_rx_data1 ),
    .LVDS_RX_lvds_rx_data2      ( LVDS_RX_lvds_rx_data2 ),
    .LVDS_RX_lvds_rx_data3      ( LVDS_RX_lvds_rx_data3 ),
    .LVDS_RX_lvds_rx_data4      ( LVDS_RX_lvds_rx_data4 ),
    .LVDS_RX_lvds_rx_data5      ( LVDS_RX_lvds_rx_data5 ),
    .LVDS_RX_lvds_rx_data6      ( LVDS_RX_lvds_rx_data6 ),
    .LVDS_RX_lvds_rx_data7      ( LVDS_RX_lvds_rx_data7 ),
    .LVDS_RX_lvds_rx_data8      ( LVDS_RX_lvds_rx_data8 ),
    .LVDS_RX_lvds_rx_data_slip1     ( LVDS_RX_lvds_rx_data_slip1 ),
    .LVDS_RX_lvds_rx_data_slip2     ( LVDS_RX_lvds_rx_data_slip2 ),
    .LVDS_RX_lvds_rx_data_slip3     ( LVDS_RX_lvds_rx_data_slip3 ),
    .LVDS_RX_lvds_rx_data_slip4     ( LVDS_RX_lvds_rx_data_slip4 ),
    .LVDS_RX_lvds_rx_data_slip5     ( LVDS_RX_lvds_rx_data_slip5 ),
    .LVDS_RX_lvds_rx_data_slip6     ( LVDS_RX_lvds_rx_data_slip6 ),
    .LVDS_RX_lvds_rx_data_slip7     ( LVDS_RX_lvds_rx_data_slip7 ),
    .LVDS_RX_lvds_rx_data_slip8     ( LVDS_RX_lvds_rx_data_slip8 ),
    .LVDS_RX_stat1      ( LVDS_RX_stat1 ),
    .LVDS_RX_stat2      ( LVDS_RX_stat2 ),
    .LVDS_RX_stat3      ( LVDS_RX_stat3 ),
    .LVDS_RX_stat4      ( LVDS_RX_stat4 ),
    .LVDS_RX_stat5      ( LVDS_RX_stat5 ),
    .LVDS_RX_stat6      ( LVDS_RX_stat6 ),
    .LVDS_RX_stat7      ( LVDS_RX_stat7 ),
    .LVDS_RX_stat8      ( LVDS_RX_stat8 ),
    .vio_ctrl_status_clk( $INSERT_YOUR_CLOCK_NAME ),
    .vio_ctrl_status_pll_locked( vio_ctrl_status_pll_locked ),
    .vio_ctrl_status_rx_heartbeat( vio_ctrl_status_rx_heartbeat ),
    .vio_ctrl_status_tx_heartbeat( vio_ctrl_status_tx_heartbeat ),
    .vio_ctrl_status_det_pass( vio_ctrl_status_det_pass ),
    .vio_ctrl_status_stat1( vio_ctrl_status_stat1 ),
    .vio_ctrl_status_stat2( vio_ctrl_status_stat2 ),
    .vio_ctrl_status_stat3( vio_ctrl_status_stat3 ),
    .vio_ctrl_status_stat4( vio_ctrl_status_stat4 ),
    .vio_ctrl_status_stat5( vio_ctrl_status_stat5 ),
    .vio_ctrl_status_stat6( vio_ctrl_status_stat6 ),
    .vio_ctrl_status_stat7( vio_ctrl_status_stat7 ),
    .vio_ctrl_status_stat8( vio_ctrl_status_stat8 ),
    .vio_ctrl_status_data_source( vio_ctrl_status_data_source ),
    .vio_ctrl_status_lvds_tx_data( vio_ctrl_status_lvds_tx_data ),
    .vio_ctrl_status_err_clear( vio_ctrl_status_err_clear ),
    .vio_ctrl_status_bitslip_binding( vio_ctrl_status_bitslip_binding ),
    .vio_ctrl_status_bitslip_all( vio_ctrl_status_bitslip_all ),
    .vio_ctrl_status_bitslip1( vio_ctrl_status_bitslip1 ),
    .vio_ctrl_status_bitslip2( vio_ctrl_status_bitslip2 ),
    .vio_ctrl_status_bitslip3( vio_ctrl_status_bitslip3 ),
    .vio_ctrl_status_bitslip4( vio_ctrl_status_bitslip4 ),
    .vio_ctrl_status_bitslip5( vio_ctrl_status_bitslip5 ),
    .vio_ctrl_status_bitslip6( vio_ctrl_status_bitslip6 ),
    .vio_ctrl_status_bitslip7( vio_ctrl_status_bitslip7 ),
    .vio_ctrl_status_bitslip8( vio_ctrl_status_bitslip8 ),
    .vio_tx_data_clk( $INSERT_YOUR_CLOCK_NAME ),
    .vio_tx_data_lvds_tx_data1( vio_tx_data_lvds_tx_data1 ),
    .vio_tx_data_lvds_tx_data2( vio_tx_data_lvds_tx_data2 ),
    .vio_tx_data_lvds_tx_data3( vio_tx_data_lvds_tx_data3 ),
    .vio_tx_data_lvds_tx_data4( vio_tx_data_lvds_tx_data4 ),
    .vio_tx_data_lvds_tx_data5( vio_tx_data_lvds_tx_data5 ),
    .vio_tx_data_lvds_tx_data6( vio_tx_data_lvds_tx_data6 ),
    .vio_tx_data_lvds_tx_data7( vio_tx_data_lvds_tx_data7 ),
    .vio_tx_data_lvds_tx_data8( vio_tx_data_lvds_tx_data8 ),
    .vio_rx_data_clk( $INSERT_YOUR_CLOCK_NAME ),
    .vio_rx_data_lvds_rx_data1( vio_rx_data_lvds_rx_data1 ),
    .vio_rx_data_lvds_rx_data2( vio_rx_data_lvds_rx_data2 ),
    .vio_rx_data_lvds_rx_data3( vio_rx_data_lvds_rx_data3 ),
    .vio_rx_data_lvds_rx_data4( vio_rx_data_lvds_rx_data4 ),
    .vio_rx_data_lvds_rx_data5( vio_rx_data_lvds_rx_data5 ),
    .vio_rx_data_lvds_rx_data6( vio_rx_data_lvds_rx_data6 ),
    .vio_rx_data_lvds_rx_data7( vio_rx_data_lvds_rx_data7 ),
    .vio_rx_data_lvds_rx_data8( vio_rx_data_lvds_rx_data8 ),
    .vio_rx_data_lvds_rx_data_slip1( vio_rx_data_lvds_rx_data_slip1 ),
    .vio_rx_data_lvds_rx_data_slip2( vio_rx_data_lvds_rx_data_slip2 ),
    .vio_rx_data_lvds_rx_data_slip3( vio_rx_data_lvds_rx_data_slip3 ),
    .vio_rx_data_lvds_rx_data_slip4( vio_rx_data_lvds_rx_data_slip4 ),
    .vio_rx_data_lvds_rx_data_slip5( vio_rx_data_lvds_rx_data_slip5 ),
    .vio_rx_data_lvds_rx_data_slip6( vio_rx_data_lvds_rx_data_slip6 ),
    .vio_rx_data_lvds_rx_data_slip7( vio_rx_data_lvds_rx_data_slip7 ),
    .vio_rx_data_lvds_rx_data_slip8( vio_rx_data_lvds_rx_data_slip8 ),
    .vio_rx_data_err_sum1( vio_rx_data_err_sum1 ),
    .vio_rx_data_err_sum2( vio_rx_data_err_sum2 ),
    .vio_rx_data_err_sum3( vio_rx_data_err_sum3 ),
    .vio_rx_data_err_sum4( vio_rx_data_err_sum4 ),
    .vio_rx_data_err_sum5( vio_rx_data_err_sum5 ),
    .vio_rx_data_err_sum6( vio_rx_data_err_sum6 ),
    .vio_rx_data_err_sum7( vio_rx_data_err_sum7 ),
    .vio_rx_data_err_sum8( vio_rx_data_err_sum8 )
);

////////////////////////////////////////////////////////////////////////////////
// Copyright (C) 2013-2019 Efinix Inc. All rights reserved.              
//
// This   document  contains  proprietary information  which   is        
// protected by  copyright. All rights  are reserved.  This notice       
// refers to original work by Efinix, Inc. which may be derivitive       
// of other work distributed under license of the authors.  In the       
// case of derivative work, nothing in this notice overrides the         
// original author's license agreement.  Where applicable, the           
// original license agreement is included in it's original               
// unmodified form immediately below this header.                        
//                                                                       
// WARRANTY DISCLAIMER.                                                  
//     THE  DESIGN, CODE, OR INFORMATION ARE PROVIDED “AS IS” AND        
//     EFINIX MAKES NO WARRANTIES, EXPRESS OR IMPLIED WITH               
//     RESPECT THERETO, AND EXPRESSLY DISCLAIMS ANY IMPLIED WARRANTIES,  
//     INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF          
//     MERCHANTABILITY, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR    
//     PURPOSE.  SOME STATES DO NOT ALLOW EXCLUSIONS OF AN IMPLIED       
//     WARRANTY, SO THIS DISCLAIMER MAY NOT APPLY TO LICENSEE.           
//                                                                       
// LIMITATION OF LIABILITY.                                              
//     NOTWITHSTANDING ANYTHING TO THE CONTRARY, EXCEPT FOR BODILY       
//     INJURY, EFINIX SHALL NOT BE LIABLE WITH RESPECT TO ANY SUBJECT    
//     MATTER OF THIS AGREEMENT UNDER TORT, CONTRACT, STRICT LIABILITY   
//     OR ANY OTHER LEGAL OR EQUITABLE THEORY (I) FOR ANY INDIRECT,      
//     SPECIAL, INCIDENTAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES OF ANY    
//     CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF      
//     GOODWILL, DATA OR PROFIT, WORK STOPPAGE, OR COMPUTER FAILURE OR   
//     MALFUNCTION, OR IN ANY EVENT (II) FOR ANY AMOUNT IN EXCESS, IN    
//     THE AGGREGATE, OF THE FEE PAID BY LICENSEE TO EFINIX HEREUNDER    
//     (OR, IF THE FEE HAS BEEN WAIVED, $100), EVEN IF EFINIX SHALL HAVE 
//     BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES.  SOME STATES DO 
//     NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR            
//     CONSEQUENTIAL DAMAGES, SO THIS LIMITATION AND EXCLUSION MAY NOT   
//     APPLY TO LICENSEE.                                                
//
////////////////////////////////////////////////////////////////////////////////
